<div class="input-schedule">
  {{#if this.value}}
    <div class="schedule-interval row mb-3">
      <div class="col-12 col-md-2">
        <Label class="mb-2" @value={{t "date interval"}} as |id|>
          <Input::Select
            class="select-date-interval"
            id={{id}}
            @list={{this.yesNoOptions}}
            @value={{this.hasDateInterval}}
            @onChange={{this.changeDateInterval}}
          />
        </Label>
      </div>

      {{#if this.hasDateInterval}}
        <div class="col-12 col-md-5">
          <Label class="mb-2" @value={{t "begins on"}} as |id|>
            <Input::Date
              class="schedule-begin"
              id={{id}}
              @allowUnset={{false}}
              @value={{this.begin}}
              @onChange={{this.changeBegin}}
            />
          </Label>
        </div>
        <div class="col">
          <Label class="mb-2" @value={{t "ends on"}} as |id|>
            <Input::Date
              class="schedule-end"
              id={{id}}
              @allowUnset={{false}}
              @value={{this.end}}
              @onChange={{fn this.changeDate "intervalEnd"}}
            />
          </Label>
        </div>
      {{/if}}
    </div>

    <div class="day-list">
      {{#each this.days as |day i|}}
        <div class="day-list-item mb-3">
          <h5>{{t (concat "day-" day.name)}}</h5>

          {{#each day.list as |entry j|}}
            <div class="d-flex time-interval">
              <div class="row mb-3 flex-grow-1">
                <div class="col-12 col-md-6">
                  <Label class="mb-2" @value={{t "begins at"}} as |id|>
                    <Input::Date
                      class="interval-begin"
                      id={{id}}
                      @allowUnset={{false}}
                      @allowDate={{false}}
                      @allowTime={{true}}
                      @value={{entry.begin}}
                      @onChange={{fn this.changeTime i j "begin"}}
                    />
                  </Label>
                </div>
                <div class="col">
                  <Label class="mb-2" @value={{t "ends at"}} as |id|>
                    <Input::Date
                      class="interval-end"
                      id={{id}}
                      @allowUnset={{false}}
                      @allowDate={{false}}
                      @allowTime={{true}}
                      @value={{entry.end}}
                      @onChange={{fn this.changeTime i j "end"}}
                    />
                  </Label>
                </div>
              </div>
              <div class="ms-2 mt-5">
                <button
                  class="btn btn-danger btn-delete-interval"
                  type="button"
                  {{on "click" (fn this.deleteInterval i j)}}
                >
                  <FaIcon @icon="trash" />
                </button>
              </div>
            </div>
          {{/each}}

          <button
            class="btn-add-time-interval btn btn-outline-primary"
            type="button"
            {{on "click" (fn this.addInterval i)}}
          >
            <FaIcon @icon="plus" />
            {{t "time interval"}}
          </button>
        </div>
      {{/each}}
    </div>

    <div>
      <Label class="mb-2" @value={{t "timezone"}}>
        <Input::Timezone
          @value={{this.timezone}}
          @onChange={{this.changeTimezone}}
        />
      </Label>
    </div>
  {{else}}
    <div class="alert alert-light">
      <p>{{t "message-no-schedule"}}</p>

      <button
        class="btn-initialize-schedule btn btn-outline-primary"
        type="button"
        {{on "click" this.createSchedule}}
      >
        {{t "click here to create a schedule"}}
      </button>
    </div>
  {{/if}}
</div>